C+------------------------------------------------------------------------------
C
C     Name:   
C        af2_par.inc
C
C     Description:
C        General include file for af2_configure and its subroutines.  Defines
C        good and bad general status, the cursor placed and sky patch offset
C        values,  maximum sizes for arrays, maximum number of text file
C        versions, data type parameters for dynamic memory allocation,
C        and the maximum size of the edit undo buffer. Note that if you change
C        this file, you must change the C version as well (af2_par.h).
C
C     Language:
C        FORTRAN 77
C
C     Non-standard language extensions:
C        variable names > 6 characters
C
C     Authors:
C        (JRL): James R. Lewis -- RGO, Cambridge
C
C     History:
C        01 Dec 1995 (JRL):
C           Original version
C
C-------------------------------------------------------------------------------
C
C     Good status value
C
      integer af2_ok
      parameter (af2_ok=0)
C
C     Error value
C
      integer af2_err
      parameter (af2_err=1)
C
C     Offset allocation flag for cursor placed sky fibres
C
      integer alloc_cur
      parameter (alloc_cur=2000000)
C
C     Offset allocation flag for dedicated sky fibres
C
      integer alloc_sky
      parameter (alloc_sky=1000000)
C
C     Maximum number of objects allowed 
C
      integer maxobj
      parameter (maxobj=999)
C
C     Maximum number of fibres (object/sky and fiducial)
C
      integer nfibres
      parameter (nfibres=160)
C
C     Maximum number of file versions
C
      integer maxver
      parameter (maxver=99)
C
C     Data types for dynamic memory allocation
C
      integer ty_int,ty_float,ty_double,ty_char
      parameter (ty_int=1,ty_float=2,ty_double=3,ty_char=4)
C
C     Maximum size for undo buffer in editor
C
      integer maxundo
      parameter (maxundo=40)
